Search Engine Extensions

- « ZookeeperSessionException

- Solr »

- PHP Manual
- Function Reference
- Search Engine Extensions

# Search Engine Extensions

- Solr — Apache Solr
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Solr Functions
  - Examples
  - SolrUtils — The SolrUtils class
  - SolrInputDocument — The SolrInputDocument class
  - SolrDocument — The SolrDocument class
  - SolrDocumentField — The SolrDocumentField class
  - SolrObject — The SolrObject class
  - SolrClient — The SolrClient class
  - SolrResponse — The SolrResponse class
  - SolrQueryResponse — The SolrQueryResponse class
  - SolrUpdateResponse — The SolrUpdateResponse class
  - SolrPingResponse — The SolrPingResponse class
  - SolrGenericResponse — The SolrGenericResponse class
  - SolrParams — The SolrParams class
  - SolrModifiableParams — The SolrModifiableParams class
  - SolrQuery — The SolrQuery class
  - SolrDisMaxQuery — The SolrDisMaxQuery class
  - SolrCollapseFunction — The SolrCollapseFunction class
  - SolrException — The SolrException class
  - SolrClientException — The SolrClientException class
  - SolrServerException — The SolrServerException class
  - SolrIllegalArgumentException — The SolrIllegalArgumentException class
  - SolrIllegalOperationException — The SolrIllegalOperationException class
  - SolrMissingMandatoryParameterException — The SolrMissingMandatoryParameterException class